=== src/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(math)
add_subdirectory(systems)
