=== src/systems/CMakeLists.txt ===
add_subdirectory(analysis)
add_subdirectory(framework)
