=== debian/changelog ===
ros-foxy-maliput-drake (0.1.2-1focal) focal; urgency=high

  * Improves README. (#25 <https://github.com/maliput/maliput_drake/issues/25>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 13 Apr 2023 03:00:00 -0000

ros-foxy-maliput-drake (0.1.1-1focal) focal; urgency=high

  * Fixes include folder installation. (#23 <https://github.com/maliput/maliput_drake/issues/23>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Mon, 13 Jun 2022 03:00:00 -0000

ros-foxy-maliput-drake (0.1.0-1focal) focal; urgency=high

  * Moves package to root. (#22 <https://github.com/maliput/maliput_drake/issues/22>)
  * Updates license. (#21 <https://github.com/maliput/maliput_drake/issues/21>)
  * Uses ament_export_targets. (#20 <https://github.com/maliput/maliput_drake/issues/20>)
  * Removes dashing support. (#19 <https://github.com/maliput/maliput_drake/issues/19>)
  * Adds CI badges (#18 <https://github.com/maliput/maliput_drake/issues/18>)
  * Removes spdlog dependency. (#17 <https://github.com/maliput/maliput_drake/issues/17>)
  * Replaces push by workflow_dispatch event in gcc build. (#15 <https://github.com/maliput/maliput_drake/issues/15>)
  * Adds to the supression list maliput_drake's header files. (#13 <https://github.com/maliput/maliput_drake/issues/13>)
  * Remove autodiff and symbolic instantiations (#11 <https://github.com/maliput/maliput_drake/issues/11>)
  * Remove gflags dependency (#10 <https://github.com/maliput/maliput_drake/issues/10>)
  * Reduce dependencies of analysis (#9 <https://github.com/maliput/maliput_drake/issues/9>)
  * Renames drake definitions (#8 <https://github.com/maliput/maliput_drake/issues/8>)
  * Removes unused extern C method. (#7 <https://github.com/maliput/maliput_drake/issues/7>)
  * Instructions to copy a drake release (#5 <https://github.com/maliput/maliput_drake/issues/5>)
  * Namespace with maliput (#4 <https://github.com/maliput/maliput_drake/issues/4>)
  * Create a proper readme (#3 <https://github.com/maliput/maliput_drake/issues/3>)
  * Adds bionic support (#2 <https://github.com/maliput/maliput_drake/issues/2>)
  * Initial repository structure (#1 <https://github.com/maliput/maliput_drake/issues/1>)
  * Contributors: Agustin Alba Chicar, Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 10 Jun 2022 03:00:00 -0000
